Skip to main content
PATCH
Update intent status

Authorizations

Authorization
string
header
required

Enter your Chainrails API key as a Bearer token

Path Parameters

id
string
required

Intent unique identifier

Example:

6

Body

application/json
status
enum<string>
required

New status to set for the intent

Available options:
PENDING,
FUNDED,
INITIATED,
COMPLETED,
EXPIRED
Example:

"COMPLETED"

Response

Intent status updated successfully

id
number
Example:

6

client_id
string
Example:

"e1ee3675-cb26-4a76-8206-a84f86e85862"

sender
string
Example:

"0xdA3ECb2E5362295E2b802669dD47127A61d9Ce54"

initialAmount
string
Example:

"1000000"

fees_in_usd
string
Example:

"10500"

app_fee_in_usd
string
Example:

"1000"

total_amount_in_usd
string
Example:

"1010500"

total_amount_in_asset_token
string
Example:

"1000500"

fees_in_asset_token
string
Example:

"500"

app_fee_in_asset_token
string
Example:

"0"

asset_token_symbol
string
Example:

"USDC"

asset_token_decimals
number
Example:

6

slippage
string
Example:

"0.5"

tokenIn
string
Example:

"0x036CbD53842c5426634e7929541eC2318f3dCF7e"

tokenOut
string
Example:

"0x75faf114eafb1BDbe2F0316DF893fd58CE46AA4d"

intent_address
string

Solana: intent PDA — show to users for QR/Send; transfer tokenIn here (wallet derives deposit ATA). EVM/Starknet: contract address.

Example:

"0x4E60e01263E750eD9D087157e19D2480Fd86A900"

deposit_token_account
string

Solana only: ATA(mint, intent PDA). Indexer and recovery only — do not use for QR/Send; fund via intent_address instead.

Example:

"DX8aM33XqJqZqZqZqJqZqZqZqJqZqZqZqJqZqZqZqJqZ"

destination_intent_address
string
Example:

"0x5F70e12374E750fE0E087158f29E3591Ge97B011"

source_chain
string
Example:

"BASE_TESTNET"

destination_chain
string
Example:

"ARBITRUM_TESTNET"

recipient
string
Example:

"0xb79541Be080a59fdcE6C0b43219ba56c725eC65e"

refund_address
string
Example:

"0xb79541Be080a59fdcE6C0b43219ba56c725eC65e"

relayer
string
Example:

""

coordinator
string
Example:

"0x989f47053F188778575113DcF39dB8960Fc450e2"

bridger
string
Example:

"0xa1c943058a631D5506eb7d96036eAbF6968e2338"

bridgeExtraData
string
Example:

"0x00000000000000000000000000000000000000000000000000000000000001f4"

intent_nonce
number
Example:

4267684716645197

intent_status
enum<string>
Available options:
PENDING,
FUNDED,
INITIATED,
COMPLETED,
EXPIRED
Example:

"COMPLETED"

tx_hash
string
Example:

"0x1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef"

needs_relay
boolean
Example:

false

relayer_claimed
boolean
Example:

true

paymaster_used
boolean
Example:

false

mode
enum<string>
Available options:
test,
live
Example:

"test"

expires_at
string<date-time>
Example:

"2025-12-13T03:31:23.000Z"

metadata
object
Example:
created_at
string<date-time>
Example:

"2025-12-13T02:31:23.390Z"

updated_at
string<date-time>
Example:

"2025-12-13T02:40:05.550Z"